﻿//
// Copyright (C) 2011, ZAO Nanosoft. All rights reserved.
//
namespace HostMgdReversi
{
  using System;
    #if NCAD
    using Platform = Teigha;
    using Host = HostMgd;
  #else
    using Platform = Autodesk.AutoCAD;
    using Host = Autodesk.AutoCAD;
  #endif

  static class Constants
  {
    // Piece radius
    public const double counter_radius = 22;

    // Cell step
    public const short gridstep = 50;

    // Game board height
    public const short linehight = 5;

    // Colors
    public static readonly Platform.Colors.Color HumanColor = Platform.Colors.Color.FromRgb(6, 108, 190);
    public static readonly Platform.Colors.Color PcColor = Platform.Colors.Color.FromRgb(0, 0, 0);
    public static readonly Platform.Colors.Color CellColor = Platform.Colors.Color.FromColorIndex(Platform.Colors.ColorMethod.ByAci, 252);
  }

  enum ePlayer
  {
    PC = -1,
    Human = 0,
    Empty = 1
  }

  [Flags]
  enum eDirection
  {
    Up = 1,
    Down = 2,
    Left = 4,
    Right = 8
  }

  enum TurnResult
  {
    Ok,
    Cancel,
    Unable
  }
}